active_support or activesupport #133

Closed
pupeno opened this Issue Nov 22, 2009 · 8 comments

Comments

Projects
None yet
3 participants

pupeno commented Nov 22, 2009

I'm not sure if this is an issue. I've just built Formtastic 0.9.2 and when installing it I've got this message:

formtastic requires active_support (>= 2.3.0, runtime)

I do have activesupport: 2.3.4, 2.2.2 and 1.4.4. Is Formtastic expecting active_support instead of activesupport? What am I missing?

Thanks.

Owner

justinfrench commented Nov 22, 2009

Are you seeing this error running specs, or running the code in your app? Very strange.

pupeno commented Nov 22, 2009

I saw it when installing Formtastic this way:

$ sudo gem install formtastic
ERROR:  Error installing formtastic:
    formtastic requires active_support (>= 2.3.0, runtime)

and also this way:

$ sudo gem install pkg/formtastic-0.9.2.gem 
ERROR:  Error installing pkg/formtastic-0.9.2.gem:
    formtastic requires active_support (>= 2.3.0, runtime)

BTW, now that I know there's a Google Groups, I asked there.

Contributor

grimen commented Nov 22, 2009

This is a bug, I messed up the gem dependency references in jeweler gemspec definition (Rakefile).

Now - incorrect:

s.add_dependency 'active_support', '>= 2.3.0'
s.add_dependency 'action_controller', '>= 2.3.0'
s.add_dependency 'action_view', '>= 2.3.0'

Correct:
s.add_dependency 'activesupport', '>= 2.3.0'
s.add_dependency 'actionpack', '>= 2.3.0'

Patch on the way. =P

pupeno commented Nov 22, 2009

Cool. Thanks. Will you generate another gem or should I install from source?

Contributor

grimen commented Nov 22, 2009

Backup-solution until there's a live one:

With jeweler:

cd /tmp
git clone git://github.com/justinfrench/formtastic.git
cd formtastic
*doing the edit in Rakefile*
rake gemspec && rake build && rake install

pupeno commented Nov 22, 2009

Thanks Jonas, I now have it installed.

Owner

justinfrench commented Nov 23, 2009

Closing, the 093 gem should resolve it.

This issue was closed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment